Subject: bug#36521: 26.2; CEDET/Semantic - Semantic constantly entering debugger with scheme

From: David Palma <[email-masked]>
Date: Sat, 13 Jul 2019 21:24:18 +0100

A CEDET developer replied and attached a patch:

https://sourceforge.net/p/cedet/mailman/cedet-semantic/?viewmonth=201907

Regards,

David

On 7/8/19 11:03 PM, Lars Ingebrigtsen wrote:
> David Palma <[email-masked]> writes:
>
>> I do, I have attached a scheme source example file.
>>
>> 1. Start emacs with "emacs -Q".
>>
>> 2. Enable semantic-mode with M-x semantic-mode
>>
>> 3. Open bugtest.scm
>>
>> And emacs should enter the debugger when semantic-idle-scheduler
>> starts working.
> Thanks; I'm able to reproduce the error in Emacs 27, too, and I get the
> following backtrace:
>
> Debugger entered: ((118 126))
>    semantic--tag-expand((118 126))
>    semantic-repeat-parse-whole-stream(((semantic-list 1 . 116) (semantic-list 118 . 126)) nil nil)
>    semantic-parse-region-default(1 127 nil nil nil)
>    semantic-parse-region(1 127)
>    semantic-fetch-tags()
>    semantic-idle-scheduler-refresh-tags()
>    semantic-idle-core-handler()
>    semantic-idle-scheduler-function()
>    apply(semantic-idle-scheduler-function nil)
>    timer-event-handler([t 0 1 0 t semantic-idle-scheduler-function nil idle 0])
>